# -*- coding: utf-8 -*-

from app import db

class Usuario(db.Model):
    __tablename__   = 'usuario'
    id          = db.Column(db.Integer, primary_key=True)
    ligado      = db.Column(db.Boolean)
    login       = db.Column(db.String(50), unique=True)
    senha       = db.Column(db.String(200))
    perfil      = db.Column(db.String(80))
    nome        = db.Column(db.String(150))
    email       = db.Column(db.String(120))
    telefone    = db.Column(db.String(15))
    descricao   = db.Column(db.Text)
    grupo       = db.Column(db.Integer)

    def __init__(
        self,
        ligado,
        login,
        senha,
        perfil,
        nome,
        email,
        telefone,
        descricao,
        grupo
    ):
        self.ligado     = ligado
        self.login      = login
        self.senha      = senha
        self.perfil     = perfil
        self.nome       = nome
        self.email      = email
        self.telefone   = telefone
        self.descricao  = descricao
        self.grupo      = grupo

    def __repr__(self):
        return "<User('%s','%s','%s','%s','%s')>" % (
            self.login,
            self.perfil,
            self.nome,
            self.email,
            self.telefone
        )